org.gcube.dataanalysis.dataminer.poolmanager.datamodel.comparator

## Class HostComparator

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.comparator.HostComparator

All Implemented Interfaces:
  Comparator<Host>

    public class HostComparator
    extends Object
    implements Comparator<Host>

### Constructor Summary

Constructors
Constructor and Description
`HostComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Host h1, Host h2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### HostComparator

    public HostComparator()

### Method Detail

#### compare

    public int compare(Host h1,
                       Host h2)

Specified by:
  `compare` in interface `Comparator<Host>`